Subject: Re: wishlist: git gui not listing untracked files in unstaged list

From: Johannes Sixt <[email-masked]>
Date: Thu, 11 Mar 2010 08:08:04 +0100

Jeff King schrieb:
> On Wed, Mar 10, 2010 at 02:14:03PM -0800, Shawn O. Pearce wrote:
>> I'd say its git-gui, yes?  Doesn't my shell automatically do
>> --exclude-from=~/my.list for me?  Its not the command's job
>> to do that expansion.
> 
> It depends on the shell. Bash will expand it in _some_ cases (but not
> this one). Dash never will:
> 
>   $ echo $BASH_VERSION
>   4.1.0(1)-release
>   $ echo foo=~/foo ;# expands
>   foo=/home/peff/foo

This is wrong, FWIW. Tilde expansion must happen only at the beginning of
a word or, when in an assignment, at the beginning of the assigned value
or after any unquoted ':'. Note that in `echo foo=~/foo`, what looks like
an assignment is *not* an assignment in POSIX shell lingo because it comes
after the command name.

http://www.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html#tag_18_06_01

-- Hannes